<?php
require'../config.php';
$title='Список mp3';
aut();
head();

who_add(0, 'enter'); ///кто онлайн
$zap1 = check($_POST['search']);///фильтруем переменную
$zap = mb_substr($zap1,0,30);////обрезка лишних сомволов

//записываем кто что искал//
if($zap != NULL)
{
		///$db->sql_query(@"INSERT INTO `poisk` (`user_name`,`user_id`,`mess`,`time`) VALUES ('".$user['user']."','".$user['id']."','".$zap."','".time()."')");
}else
{
	header('Location: index.php');exit;
}
$pageTitle = 'Запрос - ' . $zap;

require('sys/head.php');

require('sys/vkclient.php');
require('sys/clean.php');   

$vk = new VKClient(base64_decode('MjEwMjUwNjE='), base64_decode('MjAzMTU1NQ=='),base64_decode('RGJPTUVyZ3hNeg=='));
$vk->test_mode = 1;
$count = 10; 
$offset = !isset($_POST['start'])?1:intval(abs($_POST['start']));
$xml = $vk->request('audio.search', array('q' => $zap, 'count' => $count, 'offset' => $offset));
$all = (json_decode($xml,true));
///print_r($all);
echo '<form action="spisok.php" method="POST"><b>Запрос</b>: '.htmlspecialchars($zap).'
</br>';

///print_r($all);
if(!isset($all['response'][1]) && !empty($zap)){ 
echo '
Ничего не найдено!:(';
} else {
if(!empty($zap)){
echo '';

echo '';

function filtr($text)
{
$text = str_replace(array('http','.php','www','>','Группа','контакте','◄','Январь','Февраль','Март','Апрель' ,'Май','Июнь' ,'Июль' ,'Август' ,'Сентябрь' ,'Октябрь','Ноябрь' ,'Декабрь','▄','★','№','-','♪','♫','ı','l','l','ı','ı','l','ı','♥','☆','█','►','ஐ','๑','·','٠','•','●','๑',':','ВКонтакте','.net','zomp3','^','vk','.com','http://','vkontakte','.ru' ,'/','→','|','подписывайтесь','добавь','ontakteid94107126','ontakteclub','[',']'), '', $text);
return $text;
}
 foreach($all['response'] as $v)
 {
		 if($v['url']!='')
		{
		 	 ///Текст: '.$v[lyrics_id].'<br />
		////echo '<br />Время:'.$v['title'].'<br /><br />';
		 $time = round($v['duration']/60,2);
		 	$timePars = explode ('.', $time);
		 	$names = filtr($v['title']);
		 	$sec = round (($time - $timePars['0']) * 60, 0);
			 echo '
			Артист: <b>'.filtr($v['artist']).'</b><br />
			Название: '.mb_substr($names,0,50,'utf-8').'<br /> 
			Длительность: ' . $timePars['0'] . 'мин. ' . $sec . 'сек.<font color="green"></font>
			<a href="go-'.
			str_replace(array('http://','.vkontakte.ru/','/audio/','.mp3'),
			array('','-','-'),$v['url']).'">Подробнее >>> </a><br />';
			////$urls = str_replace(array('http://','.vkontakte.ru/','/audio/','.mp3'),array('','-','-'),$v['url']);
			/*echo '<object type="application/x-shockwave-flash" data="audio_player.swf" id="audioplayer1" height="24" width="288">  
				<param name="movie" value="audio_player.swf"></param>  
				<param name="FlashVars" value="playerID=1&autostart=no&bg=0xffffff&loader=0xefcda5&border=0xff8b00&text=0x945100&leftbg=0xff8b00&lefticon=0xffffff&righticon=0xffffff&slider=0xff8b00&rightbg=0xff8b00&soundFile='.$v['url'].'"></param>  
				<param name="quality" value="high"></param>  
				<param name="menu" value="false"></param>  
				<param name="wmode" value="transparent"></param>  
				</object><br />';*/
			 echo '<hr/><br />';
		}
 }
echo '';

echo ''; 
if($offset>=$count){ 
echo '<form action="spisok.php" method="POST">
<input type="hidden" name="start" value="'.(intval(abs(@$_POST['start']))-$count).'">
<input type="hidden" name="search" value="'.check($zap).'">
<input type="submit" class="ibutton" value="ВЕРНУТЬСЯ НАЗАД"/></form><br />';

///echo '<a href="?start='.(intval(abs(@$_POST['start']))-$count).'&search='.check($zap).'">ВЕРНУТЬСЯ НАЗАД</a> ';
}
if(isset($all['response'][$count])){

echo '<form action="spisok.php" method="POST">
<input type="hidden" name="start" value="'.(intval(abs(@$_POST['start']))+$count).'">
<input type="hidden" name="search" value="'.check($zap).'">
<input type="submit" class="ibutton" value="ПОКАЗАТЬ ЕЩЁ"/></form>';
////echo '<a href="?start='.(intval(abs(@$_GET['start']))+$count).'&search='.htmlspecialchars($zap).'">ПОКАЗАТЬ ЕЩЁ</a>';
}
echo '';
}
}

require('sys/foot.php');

echo gb.'<a href="../enter">Прихожая</a>'.div;
foot();
?>